OpenGL error after starting Natron


(Natetronn) #1

Update 1:
Portable version appears to working. I don’t see the same error after initial update window appeared. And I see my OpenGL settings in Help -> About Natron -> Libraries tab (the same ones listed below)

Update 2
Both installer and portable installer appear to be working (since there was no reason to not find my gpu drivers.) Flatpak, however, does not work. It’s a non-issue for me at this point.


Hello, my first post here. Let me know if I’m missing details or need to follow a different post format.

I’m getting the the following error upon application startup.

Error while creating OpenGL context: GLX: Failed to create context
Natron requires at least OpenGL 2.0 with the following extensions so the viewer works appropriately:
GL_ARB_vertex_buffer_object,GL_ARB_pixel_buffer_object

I’m on Ubuntu 18.04.2.
Using the Flatpak version from today. I assume it’s Current Version 2.3.14 but, Flatpak doesn’t list version number.

In Nivida X Server Settings under X Server 0 -> Graphics Information -> OpenGL Tab, I have the following:
Vendor: NVIDIA Corporation
Renderer: GeForce GTX 960/PCIe/SSE2
Version: 4.6.0 NVIDIA 415.27
Extensions: see the following paste - https://paste.ubuntu.com/p/kbXn5qpWRx/

Note: I searched for both missing extension from error and both appear to be present.

After hitting the ok button Natron closes. I’m unable to get passed that error and into the software.

Anyway, I’m not sure if there is something I need to do on my end to get Natron working or not. Any support is appreciated.

Thank you!


(Mikhail) #2

“”"
Error while creating OpenGL context: GLX: Failed to create context
Natron requires at least OpenGL 2.0 with the following extensions so the viewer works appropriately:
GL_ARB_vertex_buffer_object,GL_ARB_pixel_buffer_object
“”"
it means that natron cann’t find drivers of your video card
can you install Natron as standard softwear?


(Siddhant Rane) #3

On windows, reinstalling the graphics driver fixed it for me.


(Natetronn) #4

Both Natron installer and portable installer appear to be working. Flatpak, on the other hand, is not working and produced the error. It really is a non-issue for me. Thanks for the replies.